Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.datastore
Class DataStoreCache.EmptyDataStoreCache

    java.lang.Object
      javax.jdo.datastore.DataStoreCache.EmptyDataStoreCache

All Implemented Interfaces:
  DataStoreCache

Enclosing interface:
  DataStoreCache

    public static class DataStoreCache.EmptyDataStoreCache

extends java.lang.Object
implements DataStoreCache

This class is an empty implementation of the DataStoreCache interface. It can be used by an implementation that does not support a second-level cache.

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface javax.jdo.datastore.DataStoreCache
`DataStoreCache.EmptyDataStoreCache`

Constructor Summary
`DataStoreCache.EmptyDataStoreCache()`

Method Summary
`void` | `evict(java.lang.Object oid)` Evict the parameter instance from the second-level cache.
`void` | `evictAll()` Evict the parameter instances from the second-level cache.
`void` | `evictAll(boolean subclasses, java.lang.Class pcClass)` Evict the parameter instances from the second-level cache.
`void` | `evictAll(java.lang.Class pcClass, boolean subclasses)` Evict the parameter instances from the second-level cache.
`void` | `evictAll(java.util.Collection oids)` Evict the parameter instances from the second-level cache.
`void` | `evictAll(java.lang.Object... oids)` Evict the parameter instances from the second-level cache.
`void` | `pin(java.lang.Object oid)` Pin the parameter instance in the second-level cache.
`void` | `pinAll(boolean subclasses, java.lang.Class pcClass)` Pin instances in the second-level cache.
`void` | `pinAll(java.lang.Class pcClass, boolean subclasses)` Pin instances in the second-level cache.
`void` | `pinAll(java.util.Collection oids)` Pin the parameter instances in the second-level cache.
`void` | `pinAll(java.lang.Object... oids)` Pin the parameter instances in the second-level cache.
`void` | `unpin(java.lang.Object oid)` Unpin the parameter instance from the second-level cache.
`void` | `unpinAll(boolean subclasses, java.lang.Class pcClass)` Unpin instances from the second-level cache.
`void` | `unpinAll(java.lang.Class pcClass, boolean subclasses)` Unpin instances from the second-level cache.
`void` | `unpinAll(java.util.Collection oids)` Unpin the parameter instances from the second-level cache.
`void` | `unpinAll(java.lang.Object... oids)` Unpin the parameter instance from the second-level cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataStoreCache.EmptyDataStoreCache

    public DataStoreCache.EmptyDataStoreCache()

Method Detail

### evict

    public void evict(java.lang.Object oid)

  Description copied from interface: `DataStoreCache`
  Evict the parameter instance from the second-level cache.

  Specified by:
    `evict` in interface `DataStoreCache`
  Parameters:
    `oid` - the object id of the instance to evict.

### evictAll

    public void evictAll()

  Description copied from interface: `DataStoreCache`
  Evict the parameter instances from the second-level cache. All instances in the PersistenceManager's cache are evicted from the second-level cache.

  Specified by:
    `evictAll` in interface `DataStoreCache`

### evictAll

    public void evictAll(java.lang.Object... oids)

  Description copied from interface: `DataStoreCache`
  Evict the parameter instances from the second-level cache.

  Specified by:
    `evictAll` in interface `DataStoreCache`
  Parameters:
    `oids` - the object ids of the instance to evict.

### evictAll

    public void evictAll(java.util.Collection oids)

  Description copied from interface: `DataStoreCache`
  Evict the parameter instances from the second-level cache.

  Specified by:
    `evictAll` in interface `DataStoreCache`
  Parameters:
    `oids` - the object ids of the instance to evict.

### evictAll

    public void evictAll(java.lang.Class pcClass,
                         boolean subclasses)

  Description copied from interface: `DataStoreCache`
  Evict the parameter instances from the second-level cache.

  Specified by:
    `evictAll` in interface `DataStoreCache`
  Parameters:
    `pcClass` - the class of instances to evict
    `subclasses` - if true, evict instances of subclasses also

### evictAll

    public void evictAll(boolean subclasses,
                         java.lang.Class pcClass)

  Description copied from interface: `DataStoreCache`
  Evict the parameter instances from the second-level cache.

  Specified by:
    `evictAll` in interface `DataStoreCache`
  Parameters:
    `subclasses` - if true, evict instances of subclasses also
    `pcClass` - the class of instances to evict

### pin

    public void pin(java.lang.Object oid)

  Description copied from interface: `DataStoreCache`
  Pin the parameter instance in the second-level cache.

  Specified by:
    `pin` in interface `DataStoreCache`
  Parameters:
    `oid` - the object id of the instance to pin.

### pinAll

    public void pinAll(java.lang.Object... oids)

  Description copied from interface: `DataStoreCache`
  Pin the parameter instances in the second-level cache.

  Specified by:
    `pinAll` in interface `DataStoreCache`
  Parameters:
    `oids` - the object ids of the instances to pin.

### pinAll

    public void pinAll(java.util.Collection oids)

  Description copied from interface: `DataStoreCache`
  Pin the parameter instances in the second-level cache.

  Specified by:
    `pinAll` in interface `DataStoreCache`
  Parameters:
    `oids` - the object ids of the instances to pin.

### pinAll

    public void pinAll(java.lang.Class pcClass,
                       boolean subclasses)

  Description copied from interface: `DataStoreCache`
  Pin instances in the second-level cache.

  Specified by:
    `pinAll` in interface `DataStoreCache`
  Parameters:
    `pcClass` - the class of instances to pin
    `subclasses` - if true, pin instances of subclasses also

### pinAll

    public void pinAll(boolean subclasses,
                       java.lang.Class pcClass)

  Description copied from interface: `DataStoreCache`
  Pin instances in the second-level cache.

  Specified by:
    `pinAll` in interface `DataStoreCache`
  Parameters:
    `subclasses` - if true, pin instances of subclasses also
    `pcClass` - the class of instances to pin

### unpin

    public void unpin(java.lang.Object oid)

  Description copied from interface: `DataStoreCache`
  Unpin the parameter instance from the second-level cache.

  Specified by:
    `unpin` in interface `DataStoreCache`
  Parameters:
    `oid` - the object id of the instance to unpin.

### unpinAll

    public void unpinAll(java.lang.Object... oids)

  Description copied from interface: `DataStoreCache`
  Unpin the parameter instance from the second-level cache.

  Specified by:
    `unpinAll` in interface `DataStoreCache`
  Parameters:
    `oids` - the object id of the instance to evict.

### unpinAll

    public void unpinAll(java.util.Collection oids)

  Description copied from interface: `DataStoreCache`
  Unpin the parameter instances from the second-level cache.

  Specified by:
    `unpinAll` in interface `DataStoreCache`
  Parameters:
    `oids` - the object ids of the instance to evict.

### unpinAll

    public void unpinAll(java.lang.Class pcClass,
                         boolean subclasses)

  Description copied from interface: `DataStoreCache`
  Unpin instances from the second-level cache.

  Specified by:
    `unpinAll` in interface `DataStoreCache`
  Parameters:
    `pcClass` - the class of instances to unpin
    `subclasses` - if true, unpin instances of subclasses also

### unpinAll

    public void unpinAll(boolean subclasses,
                         java.lang.Class pcClass)

  Description copied from interface: `DataStoreCache`
  Unpin instances from the second-level cache.

  Specified by:
    `unpinAll` in interface `DataStoreCache`
  Parameters:
    `subclasses` - if true, unpin instances of subclasses also
    `pcClass` - the class of instances to unpin

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.